'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _env = require('./../../config/env');

var _env2 = _interopRequireDefault(_env);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * get all leds device data example.
 */

// TODO: abstract layer for GPIO library

var randomLedStatus = void 0;
var leds = [{
  id: 1,
  value: true,
  physicalPin: 35
}, {
  id: 2,
  value: false,
  physicalPin: 36
}, {
  id: 3,
  value: true,
  physicalPin: 31
}];

function init() {
  if (_env2.default.env === 'production') {
    (function () {
      var m = require('mraa');
      leds.map(function (led) {
        led.gpio = new m.Gpio(led.physicalPin);
        led.gpio.dir(m.DIR_OUT);
        led.gpio.write(led.value ? 1 : 0);
      });
    })();
  }
}

init();

function getAllLedsStatus() {
  return leds;
}

// TODO return led, but led is no model yet
/**
 * get led
 * @property {number}
 * @returns {led}
 */
function getOneLedStatus(id) {
  return leds.filter(function (element) {
    return element.id === id;
  });
}

/**
 * Update led
 * @property {object}
 * @returns {led}
 */
function updateLedStatus(aLed) {
  var parsedLedId = parseInt(aLed.id);
  var foundLed = leds.find(function (led) {
    return led.id === parsedLedId;
  });
  if (_env2.default.env === 'production') {
    foundLed.gpio.write(aLed.value ? 1 : 0);
  }
  foundLed.value = aLed.value;
  return Object.assign({}, foundLed);
}

function triggerRandomMode() {
  randomLedStatus = setInterval(function () {
    leds.map(function (led) {
      var randomBool = Math.random() >= 0.5;
      led.value = randomBool;
      if (_env2.default.env === 'production') {
        led.gpio.write(randomBool ? 1 : 0);
      }
    });
  }, 1500);
}

function stopRandomMode() {
  clearInterval(randomLedStatus);
}

exports.default = { getAllLedsStatus: getAllLedsStatus, getOneLedStatus: getOneLedStatus, updateLedStatus: updateLedStatus, triggerRandomMode: triggerRandomMode, stopRandomMode: stopRandomMode };
module.exports = exports['default'];
//# sourceMappingURL=device.service.js.map
